org.jbpm.services.task.identity

## Class LDAPUserInfoImpl

- java.lang.Object
- - org.jbpm.services.task.identity.AbstractUserGroupInfo
  - - org.jbpm.services.task.identity.LDAPUserInfoImpl

- All Implemented Interfaces:
    org.kie.api.task.UserInfo

      public class LDAPUserInfoImpl
      extends AbstractUserGroupInfo
      implements org.kie.internal.task.api.UserInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BIND_PWD`
    `static String` | `BIND_USER`
    `protected static String` | `DEFAULT_ROLE_ATTR_ID`
    `protected static String` | `DEFAULT_USER_ATTR_ID`
    `static String` | `EMAIL_ATTR_ID`
    `static String` | `EMAIL_FILTER`
    `static String` | `IS_ENTITY_ID_DN`
    `static String` | `LANG_ATTR_ID`
    `protected LdapSearcher` | `ldapSearcher`
    `static String` | `MEMBER_ATTR_ID`
    `static String` | `NAME_ATTR_ID`
    `static String` | `ROLE_ATTR_ID`
    `static String` | `ROLE_CTX`
    `static String` | `ROLE_FILTER`
    `static String` | `ROLE_MEMBERS_FILTER`
    `static String` | `SEARCH_SCOPE`
    `static String` | `USER_ATTR_ID`
    `static String` | `USER_CTX`
    `static String` | `USER_FILTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPUserInfoImpl(boolean activate)` Constructor needs to have at least one (unused) parameter in order to prevent CDI from automatic deployment.
    `LDAPUserInfoImpl(Properties config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigProperty(String key)`
    `String` | `getConfigProperty(String key, String defaultValue)`
    `String` | `getDisplayName(org.kie.api.task.model.OrganizationalEntity entity)`
    `String` | `getEmailForEntity(org.kie.api.task.model.OrganizationalEntity entity)`
    `String` | `getEntityForEmail(String email)`
    `String` | `getLanguageForEntity(org.kie.api.task.model.OrganizationalEntity entity)`
    `Iterator<org.kie.api.task.model.OrganizationalEntity>` | `getMembersForGroup(org.kie.api.task.model.Group group)`
    `boolean` | `hasEmail(org.kie.api.task.model.Group group)`

    - ### Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupInfo

      `readProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_CTX

          public static final String USER_CTX

      See Also:
        Constant Field Values

    - #### ROLE_CTX

          public static final String ROLE_CTX

      See Also:
        Constant Field Values

    - #### USER_FILTER

          public static final String USER_FILTER

      See Also:
        Constant Field Values

    - #### ROLE_FILTER

          public static final String ROLE_FILTER

      See Also:
        Constant Field Values

    - #### ROLE_MEMBERS_FILTER

          public static final String ROLE_MEMBERS_FILTER

      See Also:
        Constant Field Values

    - #### EMAIL_FILTER

          public static final String EMAIL_FILTER

      See Also:
        Constant Field Values

    - #### EMAIL_ATTR_ID

          public static final String EMAIL_ATTR_ID

      See Also:
        Constant Field Values

    - #### NAME_ATTR_ID

          public static final String NAME_ATTR_ID

      See Also:
        Constant Field Values

    - #### LANG_ATTR_ID

          public static final String LANG_ATTR_ID

      See Also:
        Constant Field Values

    - #### MEMBER_ATTR_ID

          public static final String MEMBER_ATTR_ID

      See Also:
        Constant Field Values

    - #### USER_ATTR_ID

          public static final String USER_ATTR_ID

      See Also:
        Constant Field Values

    - #### ROLE_ATTR_ID

          public static final String ROLE_ATTR_ID

      See Also:
        Constant Field Values

    - #### IS_ENTITY_ID_DN

          public static final String IS_ENTITY_ID_DN

      See Also:
        Constant Field Values

    - #### SEARCH_SCOPE

          public static final String SEARCH_SCOPE

      See Also:
        Constant Field Values

    - #### BIND_USER

          public static final String BIND_USER

      See Also:
        Constant Field Values

    - #### BIND_PWD

          public static final String BIND_PWD

      See Also:
        Constant Field Values

    - #### DEFAULT_ROLE_ATTR_ID

          protected static final String DEFAULT_ROLE_ATTR_ID

      See Also:
        Constant Field Values

    - #### DEFAULT_USER_ATTR_ID

          protected static final String DEFAULT_USER_ATTR_ID

      See Also:
        Constant Field Values

    - #### ldapSearcher

          protected LdapSearcher ldapSearcher

  - ### Constructor Detail

    - #### LDAPUserInfoImpl

          public LDAPUserInfoImpl(boolean activate)

      Constructor needs to have at least one (unused) parameter in order to prevent CDI from automatic deployment. Configuration properties are loaded from a file specified by jbpm.user.info system property or classpath:/jbpm.user.info.properties file.
      Parameters:
        `activate` - ignored

    - #### LDAPUserInfoImpl

          public LDAPUserInfoImpl(Properties config)

      Parameters:
        `config` - LDAP configuration properties

  - ### Method Detail

    - #### getDisplayName

          public String getDisplayName(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getDisplayName` in interface `org.kie.api.task.UserInfo`

    - #### getMembersForGroup

          public Iterator<org.kie.api.task.model.OrganizationalEntity> getMembersForGroup(org.kie.api.task.model.Group group)

      Specified by:
        `getMembersForGroup` in interface `org.kie.api.task.UserInfo`

    - #### hasEmail

          public boolean hasEmail(org.kie.api.task.model.Group group)

      Specified by:
        `hasEmail` in interface `org.kie.api.task.UserInfo`

    - #### getEmailForEntity

          public String getEmailForEntity(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getEmailForEntity` in interface `org.kie.api.task.UserInfo`

    - #### getLanguageForEntity

          public String getLanguageForEntity(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getLanguageForEntity` in interface `org.kie.api.task.UserInfo`

    - #### getEntityForEmail

          public String getEntityForEmail(String email)

    - #### getConfigProperty

          public String getConfigProperty(String key)

    - #### getConfigProperty

          public String getConfigProperty(String key,
                                          String defaultValue)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.